diff --git a/src/providers/ipa/ipa_hbac_users.c b/src/providers/ipa/ipa_hbac_users.c
index a5fcaad..7c83b89 100644
--- a/src/providers/ipa/ipa_hbac_users.c
+++ b/src/providers/ipa/ipa_hbac_users.c
@@ -172,12 +172,12 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
         goto done;
     }
 
-    DEBUG(7, ("Processing users for rule [%s]\n", rule_name));
+    DEBUG(7, "Processing users for rule [%s]\n", rule_name);
 
     ret = hbac_get_category(rule_attrs, IPA_USER_CATEGORY,
                             &new_users->category);
     if (ret != EOK) {
-        DEBUG(1, ("Could not identify user categories\n"));
+        DEBUG(1, "Could not identify user categories\n");
         goto done;
     }
     if (new_users->category & HBAC_CATEGORY_ALL) {
@@ -188,12 +188,12 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_attrs_get_el(rule_attrs, IPA_MEMBER_USER, &el);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("sysdb_attrs_get_el failed.\n"));
+        DEBUG(1, "sysdb_attrs_get_el failed.\n");
         goto done;
     }
     if (ret == ENOENT || el->num_values == 0) {
         el->num_values = 0;
-        DEBUG(4, ("No user specified, rule will never apply.\n"));
+        DEBUG(4, "No user specified, rule will never apply.\n");
     }
 
     new_users->names = talloc_array(new_users,
@@ -234,7 +234,7 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
         if (ret == EOK) {
             if (count > 1) {
-                DEBUG(1, ("Original DN matched multiple users. Skipping \n"));
+                DEBUG(1, "Original DN matched multiple users. Skipping \n");
                 talloc_zfree(member_dn);
                 continue;
             }
@@ -242,7 +242,7 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
             /* Original DN matched a single user. Get the username */
             name = ldb_msg_find_attr_as_string(msgs[0], SYSDB_NAME, NULL);
             if (name == NULL) {
-                DEBUG(1, ("Attribute is missing!\n"));
+                DEBUG(1, "Attribute is missing!\n");
                 ret = EFAULT;
                 goto done;
             }
@@ -253,8 +253,8 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 ret = ENOMEM;
                 goto done;
             }
-            DEBUG(8, ("Added user [%s] to rule [%s]\n",
-                      name, rule_name));
+            DEBUG(8, "Added user [%s] to rule [%s]\n",
+                      name, rule_name);
             num_users++;
         } else {
             /* Check if it is a group instead */
@@ -267,8 +267,8 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
             if (ret == EOK) {
                 if (count > 1) {
-                    DEBUG(1, ("Original DN matched multiple groups. "
-                              "Skipping\n"));
+                    DEBUG(1, "Original DN matched multiple groups. "
+                              "Skipping\n");
                     talloc_zfree(member_dn);
                     continue;
                 }
@@ -276,7 +276,7 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 /* Original DN matched a single group. Get the groupname */
                 name = ldb_msg_find_attr_as_string(msgs[0], SYSDB_NAME, NULL);
                 if (name == NULL) {
-                    DEBUG(1, ("Attribute is missing!\n"));
+                    DEBUG(1, "Attribute is missing!\n");
                     ret = EFAULT;
                     goto done;
                 }
@@ -287,8 +287,8 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
                     ret = ENOMEM;
                     goto done;
                 }
-                DEBUG(8, ("Added POSIX group [%s] to rule [%s]\n",
-                          name, rule_name));
+                DEBUG(8, "Added POSIX group [%s] to rule [%s]\n",
+                          name, rule_name);
                 num_groups++;
             } else {
                 /* If the group still matches the group pattern,
@@ -298,13 +298,13 @@ hbac_user_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                         member_user,
                                         &new_users->groups[num_groups]);
                 if (ret == EOK) {
-                    DEBUG(8, ("Added non-POSIX group [%s] to rule [%s]\n",
-                              new_users->groups[num_groups], rule_name));
+                    DEBUG(8, "Added non-POSIX group [%s] to rule [%s]\n",
+                              new_users->groups[num_groups], rule_name);
                     num_groups++;
                 } else {
                     /* Not a group, so we don't care about it */
-                    DEBUG(1, ("[%s] does not map to either a user or group. "
-                              "Skipping\n", member_dn));
+                    DEBUG(1, "[%s] does not map to either a user or group. "
+                              "Skipping\n", member_dn);
                 }
             }
         }
diff --git a/src/providers/ipa/ipa_hostid.c b/src/providers/ipa/ipa_hostid.c
index 7afe350..2101230 100644
--- a/src/providers/ipa/ipa_hostid.c
+++ b/src/providers/ipa/ipa_hostid.c
@@ -110,7 +110,7 @@ ipa_host_info_complete(struct be_req *breq, int dp_error,
             error_text = NULL;
         } else {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Bug: dp_error is OK on failed request"));
+                  "Bug: dp_error is OK on failed request");
             dp_error = DP_ERR_FATAL;
             error_text = default_error_text;
         }
@@ -167,7 +167,7 @@ hosts_get_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, ctx->conn->conn_cache);
     if (!state->op) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -270,7 +270,7 @@ hosts_get_done(struct tevent_req *subreq)
 
     if (state->count == 0) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("No host with name [%s] found.\n", state->name));
+              "No host with name [%s] found.\n", state->name);
 
         ret = sysdb_delete_ssh_host(state->domain->sysdb, state->domain,
                                     state->name);
@@ -284,7 +284,7 @@ hosts_get_done(struct tevent_req *subreq)
 
     if (state->count > 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Found more than one host with name [%s].\n", state->name));
+              "Found more than one host with name [%s].\n", state->name);
         ret = EINVAL;
         goto done;
     }
diff --git a/src/providers/ipa/ipa_hosts.c b/src/providers/ipa/ipa_hosts.c
index 1323cac..64f80f0 100644
--- a/src/providers/ipa/ipa_hosts.c
+++ b/src/providers/ipa/ipa_hosts.c
@@ -122,7 +122,7 @@ ipa_host_info_send(TALLOC_CTX *mem_ctx,
 
     ret = ipa_host_info_next(req, state);
     if (ret == EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No host search base configured?\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No host search base configured?\n");
         ret = EINVAL;
     }
 
@@ -169,7 +169,7 @@ static errno_t ipa_host_info_next(struct tevent_req *req,
                                                   SDAP_ENUM_SEARCH_TIMEOUT),
                                    true);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error requesting host info\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error requesting host info\n");
         talloc_zfree(state->cur_filter);
         return EIO;
     }
@@ -232,7 +232,7 @@ ipa_host_info_done(struct tevent_req *subreq)
 
             ret = ipa_hostgroup_info_next(req, state);
             if (ret == EOK) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("No host search base configured?\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "No host search base configured?\n");
                 tevent_req_error(req, EINVAL);
                 return;
             } else if (ret != EAGAIN) {
@@ -255,7 +255,7 @@ ipa_host_info_done(struct tevent_req *subreq)
             }
 
             if (!sdap_has_deref_support(state->sh, state->opts)) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Server does not support deref\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Server does not support deref\n");
                 tevent_req_error(req, EIO);
                 return;
             }
@@ -268,7 +268,7 @@ ipa_host_info_done(struct tevent_req *subreq)
                                             dp_opt_get_int(state->opts->basic,
                                                            SDAP_ENUM_SEARCH_TIMEOUT));
             if (subreq == NULL) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Error requesting host info\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Error requesting host info\n");
                 tevent_req_error(req, EIO);
                 return;
             }
@@ -307,7 +307,7 @@ static errno_t ipa_hostgroup_info_next(struct tevent_req *req,
                                                   SDAP_ENUM_SEARCH_TIMEOUT),
                                    true);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error requesting hostgroup info\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error requesting hostgroup info\n");
         talloc_zfree(state->cur_filter);
         return EIO;
     }
@@ -340,7 +340,7 @@ ipa_hostgroup_info_done(struct tevent_req *subreq)
         talloc_zfree(subreq);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("sdap_get_generic_recv failed: [%d]\n", ret));
+                  "sdap_get_generic_recv failed: [%d]\n", ret);
             tevent_req_error(req, ret);
             return;
         }
@@ -385,7 +385,7 @@ ipa_hostgroup_info_done(struct tevent_req *subreq)
         if (ret != EOK) goto done;
 
         if (state->hostgroup_count == 0) {
-            DEBUG(SSSDBG_FUNC_DATA, ("No host groups were dereferenced\n"));
+            DEBUG(SSSDBG_FUNC_DATA, "No host groups were dereferenced\n");
         } else {
             state->hostgroups = talloc_zero_array(state, struct sysdb_attrs *,
                                                   state->hostgroup_count);
@@ -411,8 +411,8 @@ ipa_hostgroup_info_done(struct tevent_req *subreq)
                              &hostgroup_name);
                 if (ret != EOK) goto done;
 
-                DEBUG(SSSDBG_FUNC_DATA, ("Dereferenced host group: %s\n",
-                                        hostgroup_name));
+                DEBUG(SSSDBG_FUNC_DATA, "Dereferenced host group: %s\n",
+                                        hostgroup_name);
                 state->hostgroups[j] = talloc_steal(state->hostgroups,
                                                     deref_result[i]->attrs);
                 j++;
@@ -425,7 +425,7 @@ done:
     if (ret == EOK) {
         tevent_req_done(req);
     } else {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error [%d][%s]\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error [%d][%s]\n", ret, strerror(ret));
         tevent_req_error(req, ret);
     }
 }
diff --git a/src/providers/ipa/ipa_id.c b/src/providers/ipa/ipa_id.c
index 6e09644..77e5e1b 100644
--- a/src/providers/ipa/ipa_id.c
+++ b/src/providers/ipa/ipa_id.c
@@ -39,7 +39,7 @@ static const char *ipa_account_info_error_text(int ret, int *dp_error,
             return NULL;
         }
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Bug: dp_error is OK on failed request\n"));
+              "Bug: dp_error is OK on failed request\n");
         *dp_error = DP_ERR_FATAL;
         break;
     case DP_ERR_OFFLINE:
@@ -191,7 +191,7 @@ static struct tevent_req *ipa_id_get_netgroup_send(TALLOC_CTX *memctx,
 
     state->op = sdap_id_op_create(state, ctx->conn->conn_cache);
     if (!state->op) {
-        DEBUG(2, ("sdap_id_op_create failed\n"));
+        DEBUG(2, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -211,7 +211,7 @@ static struct tevent_req *ipa_id_get_netgroup_send(TALLOC_CTX *memctx,
                             clean_name,
                             ctx->opts->netgroup_map[IPA_OC_NETGROUP].name);
     if (!state->filter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -302,8 +302,8 @@ static void ipa_id_get_netgroup_done(struct tevent_req *subreq)
     }
 
     if (ret == EOK && state->count > 1) {
-        DEBUG(1, ("Found more than one netgroup with the name [%s].\n",
-                  state->name));
+        DEBUG(1, "Found more than one netgroup with the name [%s].\n",
+                  state->name);
         tevent_req_error(req, EINVAL);
         return;
     }
diff --git a/src/providers/ipa/ipa_idmap.c b/src/providers/ipa/ipa_idmap.c
index 2f141f8..c471328 100644
--- a/src/providers/ipa/ipa_idmap.c
+++ b/src/providers/ipa/ipa_idmap.c
@@ -45,14 +45,14 @@ errno_t ipa_idmap_find_new_domain(struct sdap_idmap_ctx *idmap_ctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_new failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_new failed.\n");
         return ENOMEM;
     }
 
     ret = sysdb_get_ranges(tmp_ctx, idmap_ctx->id_ctx->be->domain->sysdb,
                            &range_count, &range_list);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_get_ranges failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_get_ranges failed.\n");
         goto done;
     }
 
@@ -77,9 +77,9 @@ errno_t ipa_idmap_find_new_domain(struct sdap_idmap_ctx *idmap_ctx,
                 name = r->trusted_dom_sid;
                 sid = r->trusted_dom_sid;
             } else {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Cannot determine range type, " \
+                DEBUG(SSSDBG_MINOR_FAILURE, "Cannot determine range type, " \
                                              "skipping id ange [%s].\n",
-                                             r->name));
+                                             r->name);
                 continue;
             }
         } else {
@@ -99,9 +99,9 @@ errno_t ipa_idmap_find_new_domain(struct sdap_idmap_ctx *idmap_ctx,
                 name = r->trusted_dom_sid;
                 sid = r->trusted_dom_sid;
             } else {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Range type [%s] not supported, " \
+                DEBUG(SSSDBG_MINOR_FAILURE, "Range type [%s] not supported, " \
                                              "skipping id range [%s].\n",
-                                             r->range_type, r->name));
+                                             r->range_type, r->name);
                 continue;
             }
         }
@@ -111,8 +111,8 @@ errno_t ipa_idmap_find_new_domain(struct sdap_idmap_ctx *idmap_ctx,
         err = sss_idmap_add_domain_ex(idmap_ctx->map, name, sid, &range,
                                       r->name, rid, external_mapping);
         if (err != IDMAP_SUCCESS && err != IDMAP_COLLISION) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not add range [%s] to ID map\n",
-                                        r->name));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not add range [%s] to ID map\n",
+                                        r->name);
             ret = EIO;
             goto done;
         }
@@ -162,8 +162,8 @@ errno_t ipa_idmap_init(TALLOC_CTX *mem_ctx,
                          &idmap_ctx->map);
     if (err != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not initialize the ID map: [%s]\n",
-               idmap_error_string(err)));
+              "Could not initialize the ID map: [%s]\n",
+               idmap_error_string(err));
         if (err == IDMAP_OUT_OF_MEMORY) {
             ret = ENOMEM;
         } else {
@@ -177,13 +177,13 @@ errno_t ipa_idmap_init(TALLOC_CTX *mem_ctx,
     ret = sysdb_get_ranges(tmp_ctx, sysdb, &range_count, &range_list);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not read ranges from the cache: [%s]\n",
-               strerror(ret)));
+              "Could not read ranges from the cache: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Initializing [%zu] domains for ID-mapping\n", range_count));
+          "Initializing [%zu] domains for ID-mapping\n", range_count);
 
     for (c = 0; c < range_count; c++) {
 
@@ -207,9 +207,9 @@ errno_t ipa_idmap_init(TALLOC_CTX *mem_ctx,
                 sid = r->trusted_dom_sid;
                 name = sid;
             } else {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Cannot determine range type, " \
+                DEBUG(SSSDBG_MINOR_FAILURE, "Cannot determine range type, " \
                                              "skipping id ange [%s].\n",
-                                             r->name));
+                                             r->name);
                 continue;
             }
         } else {
@@ -229,9 +229,9 @@ errno_t ipa_idmap_init(TALLOC_CTX *mem_ctx,
                 sid = r->trusted_dom_sid;
                 name = sid;
             } else {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Range type [%s] not supported, " \
+                DEBUG(SSSDBG_MINOR_FAILURE, "Range type [%s] not supported, " \
                                              "skipping id range [%s].\n",
-                                             r->range_type, r->name));
+                                             r->range_type, r->name);
                 continue;
             }
         }
@@ -241,8 +241,8 @@ errno_t ipa_idmap_init(TALLOC_CTX *mem_ctx,
         err = sss_idmap_add_domain_ex(idmap_ctx->map, name, sid, &range,
                                       r->name, rid, external_mapping);
         if (err != IDMAP_SUCCESS) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not add range [%s] to ID map\n",
-                                        r->name));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not add range [%s] to ID map\n",
+                                        r->name);
             ret = EIO;
             goto done;
         }
diff --git a/src/providers/ipa/ipa_init.c b/src/providers/ipa/ipa_init.c
index b1440da..5a77fc8 100644
--- a/src/providers/ipa/ipa_init.c
+++ b/src/providers/ipa/ipa_init.c
@@ -96,7 +96,7 @@ static bool srv_in_server_list(const char *servers)
     /* split server parm into a list */
     ret = split_on_separator(tmp_ctx, servers, ',', true, true, &list, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to parse server list!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to parse server list!\n");
         goto done;
     }
 
@@ -132,7 +132,7 @@ int common_ipa_init(struct be_ctx *bectx)
                            ipa_backup_servers, ipa_options,
                            &ipa_options->service);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to init IPA failover service!\n"));
+        DEBUG(0, "Failed to init IPA failover service!\n");
         return ret;
     }
 
@@ -200,7 +200,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
          */
 
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Dynamic DNS updates are on. Checking for nsupdate..\n"));
+              "Dynamic DNS updates are on. Checking for nsupdate..\n");
         ret = be_nsupdate_check();
         if (ret == EOK) {
             /* nsupdate is available. Dynamic updates
@@ -208,7 +208,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
              */
             ret = ipa_dyndns_init(sdap_ctx->be, ipa_options);
             if (ret != EOK) {
-                DEBUG(1, ("Failure setting up automatic DNS update\n"));
+                DEBUG(1, "Failure setting up automatic DNS update\n");
                 /* We will continue without DNS updating */
             }
         }
@@ -216,8 +216,8 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
 
     ret = setup_tls_config(sdap_ctx->opts->basic);
     if (ret != EOK) {
-        DEBUG(1, ("setup_tls_config failed [%d][%s].\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "setup_tls_config failed [%d][%s].\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -233,8 +233,8 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
 
     ret = sdap_setup_child();
     if (ret != EOK) {
-        DEBUG(1, ("setup_child failed [%d][%s].\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "setup_child failed [%d][%s].\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -248,7 +248,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
         srv_ctx = ipa_srv_plugin_ctx_init(bectx, bectx->be_res->resolv,
                                           hostname, ipa_domain);
         if (srv_ctx == NULL) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Out of memory?\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Out of memory?\n");
             ret = ENOMEM;
             goto done;
         }
@@ -258,8 +258,8 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
     } else if (server_mode == true) {
         ipa_servers = dp_opt_get_string(ipa_options->basic, IPA_SERVER);
         if (srv_in_server_list(ipa_servers) == true) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("SRV resolution enabled on the IPA server. "
-                  "Site discovery of trusted AD servers might not work\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "SRV resolution enabled on the IPA server. "
+                  "Site discovery of trusted AD servers might not work\n");
 
             /* If SRV discovery is enabled on the server and
              * dns_discovery_domain is set explicitly, then
@@ -274,18 +274,18 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
                         "It is recommended not to use SRV discovery or the "
                         "dns_discovery_domain option for the IPA domain while "
                         "running on the server itself\n"));
-                DEBUG(SSSDBG_CRIT_FAILURE, ("SRV discovery is enabled on IPA "
+                DEBUG(SSSDBG_CRIT_FAILURE, "SRV discovery is enabled on IPA "
                       "server while using custom dns_discovery_domain. "
                       "DNS discovery of trusted AD domain will likely fail. "
                       "It is recommended not to use SRV discovery or the "
                       "dns_discovery_domain option for the IPA domain while "
-                      "running on the server itself\n"));
+                      "running on the server itself\n");
             }
 
             ret = be_fo_set_dns_srv_lookup_plugin(bectx, hostname);
             if (ret != EOK) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to set SRV lookup plugin "
-                                            "[%d]: %s\n", ret, strerror(ret)));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
+                                            "[%d]: %s\n", ret, strerror(ret));
                 goto done;
             }
         } else {
@@ -295,21 +295,21 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
             ret = dp_opt_set_string(bectx->be_res->opts, DP_RES_OPT_DNS_DOMAIN,
                                     NULL);
             if (ret != EOK) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Could not reset the "
+                DEBUG(SSSDBG_MINOR_FAILURE, "Could not reset the "
                     "dns_discovery_domain, trusted AD domains discovery "
                     "might fail. Please remove dns_discovery_domain "
-                    "from the config file and restart the SSSD\n"));
+                    "from the config file and restart the SSSD\n");
             } else {
-                DEBUG(SSSDBG_CONF_SETTINGS, ("The value of dns_discovery_domain "
-                      "will be ignored in ipa_server_mode\n"));
+                DEBUG(SSSDBG_CONF_SETTINGS, "The value of dns_discovery_domain "
+                      "will be ignored in ipa_server_mode\n");
             }
         }
     } else {
         /* fall back to standard plugin on clients. */
         ret = be_fo_set_dns_srv_lookup_plugin(bectx, hostname);
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to set SRV lookup plugin "
-                                        "[%d]: %s\n", ret, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
+                                        "[%d]: %s\n", ret, strerror(ret));
             goto done;
         }
     }
@@ -320,8 +320,8 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
                             sdap_refresh_netgroups_recv,
                             sdap_ctx);
     if (ret != EOK && ret != EEXIST) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Periodical refresh of netgroups "
-              "will not work [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Periodical refresh of netgroups "
+              "will not work [%d]: %s\n", ret, strerror(ret));
     }
 
     *ops = &ipa_id_ops;
@@ -368,7 +368,7 @@ int sssm_ipa_auth_init(struct be_ctx *bectx,
 
     ret = sssm_ipa_id_init(bectx, &id_ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(1, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(1, "sssm_ipa_id_init failed.\n");
         goto done;
     }
     ipa_auth_ctx->sdap_id_ctx = id_ctx->sdap_id_ctx;
@@ -376,7 +376,7 @@ int sssm_ipa_auth_init(struct be_ctx *bectx,
     ret = dp_copy_options(ipa_auth_ctx, ipa_options->basic,
                           IPA_OPTS_BASIC, &ipa_auth_ctx->ipa_options);
     if (ret != EOK) {
-        DEBUG(1, ("dp_copy_options failed.\n"));
+        DEBUG(1, "dp_copy_options failed.\n");
         goto done;
     }
 
@@ -419,8 +419,8 @@ int sssm_ipa_auth_init(struct be_ctx *bectx,
 
     ret = setup_tls_config(sdap_auth_ctx->opts->basic);
     if (ret != EOK) {
-        DEBUG(1, ("setup_tls_config failed [%d][%s].\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "setup_tls_config failed [%d][%s].\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -428,8 +428,8 @@ int sssm_ipa_auth_init(struct be_ctx *bectx,
     ret = krb5_child_init(krb5_auth_ctx, bectx);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not initialize krb5_child settings: [%s]\n",
-               strerror(ret)));
+              "Could not initialize krb5_child settings: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -464,13 +464,13 @@ int sssm_ipa_access_init(struct be_ctx *bectx,
 
     ipa_access_ctx = talloc_zero(bectx, struct ipa_access_ctx);
     if (ipa_access_ctx == NULL) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
     ret = sssm_ipa_id_init(bectx, ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(1, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(1, "sssm_ipa_id_init failed.\n");
         goto done;
     }
     ipa_access_ctx->sdap_ctx = id_ctx->sdap_id_ctx;
@@ -482,7 +482,7 @@ int sssm_ipa_access_init(struct be_ctx *bectx,
     ret = dp_copy_options(ipa_access_ctx, ipa_options->basic,
                           IPA_OPTS_BASIC, &ipa_access_ctx->ipa_options);
     if (ret != EOK) {
-        DEBUG(1, ("dp_copy_options failed.\n"));
+        DEBUG(1, "dp_copy_options failed.\n");
         goto done;
     }
 
@@ -516,13 +516,13 @@ int sssm_ipa_selinux_init(struct be_ctx *bectx,
 
     selinux_ctx = talloc_zero(bectx, struct ipa_selinux_ctx);
     if (selinux_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
     ret = sssm_ipa_id_init(bectx, ops, (void **) &selinux_ctx->id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sssm_ipa_id_init failed.\n");
         goto done;
     }
 
@@ -553,13 +553,13 @@ int sssm_ipa_hostid_init(struct be_ctx *bectx,
 
     hostid_ctx = talloc_zero(bectx, struct ipa_hostid_ctx);
     if (hostid_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
     ret = sssm_ipa_id_init(bectx, ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sssm_ipa_id_init failed.\n");
         goto done;
     }
     hostid_ctx->sdap_id_ctx = id_ctx->sdap_id_ctx;
@@ -585,18 +585,18 @@ int sssm_ipa_autofs_init(struct be_ctx *bectx,
     struct ipa_id_ctx *id_ctx;
     int ret;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Initializing IPA autofs handler\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Initializing IPA autofs handler\n");
 
     ret = sssm_ipa_id_init(bectx, ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sssm_ipa_id_init failed.\n");
         return ret;
     }
 
     return ipa_autofs_init(bectx, id_ctx, ops, pvt_data);
 #else
-    DEBUG(SSSDBG_MINOR_FAILURE, ("Autofs init handler called but SSSD is "
-                                 "built without autofs support, ignoring\n"));
+    DEBUG(SSSDBG_MINOR_FAILURE, "Autofs init handler called but SSSD is "
+                                 "built without autofs support, ignoring\n");
     return EOK;
 #endif
 }
@@ -610,19 +610,19 @@ int sssm_ipa_subdomains_init(struct be_ctx *bectx,
 
     ret = sssm_ipa_id_init(bectx, ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sssm_ipa_id_init failed.\n");
         return ret;
     }
 
     ret = ipa_subdom_init(bectx, id_ctx, ops, pvt_data);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("ipa_subdom_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "ipa_subdom_init failed.\n");
         return ret;
     }
 
     ret = ipa_ad_subdom_init(bectx, id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("ipa_ad_subdom_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "ipa_ad_subdom_init failed.\n");
         return ret;
     }
 
@@ -637,18 +637,18 @@ int sssm_ipa_sudo_init(struct be_ctx *bectx,
     struct ipa_id_ctx *id_ctx;
     int ret;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Initializing IPA sudo handler\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Initializing IPA sudo handler\n");
 
     ret = sssm_ipa_id_init(bectx, ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sssm_ipa_id_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sssm_ipa_id_init failed.\n");
         return ret;
     }
 
     return ipa_sudo_init(bectx, id_ctx, ops, pvt_data);
 #else
-    DEBUG(SSSDBG_MINOR_FAILURE, ("Sudo init handler called but SSSD is "
-                                 "built without sudo support, ignoring\n"));
+    DEBUG(SSSDBG_MINOR_FAILURE, "Sudo init handler called but SSSD is "
+                                 "built without sudo support, ignoring\n");
     return EOK;
 #endif
 }
